package org.apache.commons.lang3.function;

import java.lang.Throwable;

@FunctionalInterface
/* loaded from: org_apache_commons_lang3_function.jar:org/apache/commons/lang3/function/FailableDoubleToIntFunction.class */
public interface FailableDoubleToIntFunction<E extends Throwable> {
    public static final FailableDoubleToIntFunction NOP = t -> {
        return 0;
    };

    int applyAsInt(double d) throws Throwable;

    static <E extends Throwable> FailableDoubleToIntFunction<E> nop() {
        return NOP;
    }
}
